# Paid vs organic keywords

{% hint style="success" %}
You first need to create an account, you can sign up [here](https://app.adyntel.com/signup) to receive 50 credits to test it out.
{% endhint %}

This endpoint offers an overview of paid and organic keywords for a domain, with estimation of budgets and CPC included.

{% hint style="warning" %}
Company domain has to be passed in the 'company.com' format, meaning all prefixes like 'https\://' or '[www](http://www).' need to be removed.
{% endhint %}

##

## API endpoint

<mark style="color:green;">`POST`</mark> `api.adyntel.com/domain-keywords`

*Get all the details using the company domain as the input.*

### Headers <a href="#headers" id="headers"></a>

<table><thead><tr><th>Name</th><th>Value</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>Content-Type</td><td><code>application/json</code></td><td>true</td></tr></tbody></table>

### &#x20;<a href="#undefined" id="undefined"></a>

### Body <a href="#body" id="body"></a>

<table><thead><tr><th>Name</th><th>Type</th><th>Description</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td><code>api_key</code></td><td>string</td><td>Adyntel API key</td><td>true</td></tr><tr><td><code>email</code></td><td>number</td><td>Adyntel account email</td><td>true</td></tr><tr><td><code>company_domain</code></td><td>string</td><td>Company website (without www or http)</td><td>true</td></tr></tbody></table>

### Example request

```
{
    "api_key": "hd-nndgi7gy6b3kdsgd-a",
    "email": "elon@tesla.com",
    "company_domain": "lokalise.com"
}
```

### Example response

The "organic" and "paid" objects contain the absolut numbers while "organic\_percentages" and "paid\_percentages" contains percetanges.&#x20;

For example, `pos_1` from `organic_percentages` is calculated by dividing `pos_1`  to `count` from `organic` and represents the percentage of organic keywords ranking 1st out of all the keywords.

```
{
    "organic": {
        "pos_1": 379,
        "pos_2_3": 1035,
        "pos_4_10": 3364,
        "pos_11_20": 4110,
        "pos_21_30": 4835,
        "pos_31_40": 4781,
        "pos_41_50": 3728,
        "pos_51_60": 2663,
        "pos_61_70": 2260,
        "pos_71_80": 2022,
        "pos_81_90": 1540,
        "pos_91_100": 1004,
        "count": 31721,
        "is_new": 11585,
        "is_up": 9083,
        "is_down": 8971,
        "is_lost": 0,
        "estimated_traffic": 371656
    },
    "organic_percentages": {
        "pos_1": 1.19,
        "pos_2_3": 3.26,
        "pos_4_10": 10.6,
        "pos_11_20": 12.96,
        "pos_21_30": 15.24,
        "pos_31_40": 15.07,
        "pos_41_50": 11.75,
        "pos_51_60": 8.4,
        "pos_61_70": 7.12,
        "pos_71_80": 6.37,
        "pos_81_90": 4.85,
        "pos_91_100": 3.17,
        "is_new": 36.52,
        "is_up": 28.63,
        "is_down": 28.28,
        "is_lost": 0.0
    },
    "paid": {
        "pos_1": 82,
        "pos_2_3": 11,
        "pos_4_10": 1,
        "pos_11_20": 0,
        "pos_21_30": 0,
        "pos_31_40": 0,
        "pos_41_50": 0,
        "pos_51_60": 0,
        "pos_61_70": 0,
        "pos_71_80": 0,
        "pos_81_90": 0,
        "pos_91_100": 0,
        "count": 94,
        "is_new": 88,
        "is_up": 1,
        "is_down": 1,
        "is_lost": 0,
        "estimated_traffic": 8812,
        "estimated_ad_budget": 47297,
        "estimated_avg_cpc": 5.37
    },
    "paid_percentages": {
        "pos_1": 87.23,
        "pos_2_3": 11.7,
        "pos_4_10": 1.06,
        "pos_11_20": 0.0,
        "pos_21_30": 0.0,
        "pos_31_40": 0.0,
        "pos_41_50": 0.0,
        "pos_51_60": 0.0,
        "pos_61_70": 0.0,
        "pos_71_80": 0.0,
        "pos_81_90": 0.0,
        "pos_91_100": 0.0,
        "is_new": 93.62,
        "is_up": 1.06,
        "is_down": 1.06,
        "is_lost": 0.0
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adyntel.com/ad-libraries/paid-vs-organic-keywords.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
